#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include "globals.h"

int main(int argc, char *args[])
{
    int shm_fd;  // shared memory file descriptor
    void *ptr;   // pointer to shared memory object
    
    // Create shared memory object and configure its size.
    shm_fd = shm_open(NAME, O_CREAT | O_RDWR, 0666);
    ftruncate(shm_fd, SIZE);
    
    // Memory map the shared memory object and write to it.
    ptr = mmap(0, SIZE, PROT_WRITE, MAP_SHARED, shm_fd, 0);
    sprintf(ptr, "%s", args[1]);
    
    return 0;
}
